﻿@page "/register"

<h2>Register</h2>


<EditForm Model="_registerViewModel" OnValidSubmit="Register">
    <DataAnnotationsValidator />
    <div class="input-group mb-3">
        <SfTextBox Placeholder="Username" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_registerViewModel.UserName">
            <ValidationMessage For="@(() => _registerViewModel.UserName)" />
        </SfTextBox>
    </div>
    <div class="input-group mb-3">
        <SfTextBox Placeholder="Password" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_registerViewModel.Password"
                   Type="InputType.Password">
            <ValidationMessage For="@(() => _registerViewModel.Password)" />
        </SfTextBox>
    </div>
    <div class="input-group mb-3">
        <SfTextBox Placeholder="FirstName" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_registerViewModel.FirstName">
            <ValidationMessage For="@(() => _registerViewModel.FirstName)" />
        </SfTextBox>
    </div>    
    <div class="input-group mb-3">
        <SfTextBox Placeholder="LastName" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_registerViewModel.LastName">
            <ValidationMessage For="@(() => _registerViewModel.LastName)" />
        </SfTextBox>
    </div>    
    <div class="input-group mb-3">
        <SfTextBox Placeholder="Email" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_registerViewModel.Email"
                   Type="InputType.Email">
            <ValidationMessage For="@(() => _registerViewModel.Email)" />
        </SfTextBox>
    </div>     
    
    <div class="input-group mb-3">
        <SfButton HtmlAttributes="@registerHtmlAttributes" Content="Register" IsPrimary="true" />
    </div>
</EditForm>

<SfToast Title="@RegisterToastTitle"
         Content="@RegisterToastContent"
         CssClass="@RegisterToastCss"
         Timeout="5000"
         ShowCloseButton="true"
         ShowProgressBar="true"
         @ref="@RegisterToast">
    <ToastPosition X="Right" Y="Bottom"></ToastPosition>
</SfToast>